package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.CountOfUnreadBean;
import com.cooleshow.teacher.bean.HelpCenterContentBean;
import com.cooleshow.teacher.bean.HomeCountBean;
import com.cooleshow.teacher.bean.HomeLiveAndVideoBean;
import com.cooleshow.teacher.bean.HomeMenuBean;
import com.cooleshow.teacher.bean.TeacherUserInfo;
import com.cooleshow.usercenter.bean.UserInfo;

import java.util.List;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface HomeContract {

    interface HomeView extends BaseView {
        void getHomeCountSuccess(HomeCountBean data);
        void helpCenterContentListSuccess(HelpCenterContentBean data);
        void queryCountOfUnreadSuccess(List<CountOfUnreadBean> data);
        void queryLiveAndVideoSuccess(HomeLiveAndVideoBean bean);

        void appHomeSuccess(HomeMenuBean homeMenuBean);
    }

    interface Presenter {
    }
}
